﻿Imports System.IO

Public Class frmHorrorMovie
    Dim MyPath As String
    Dim Rank As Integer()
    Dim rating As Decimal()
    Dim Title As String()
    Dim movImage As String()
    Dim Amount As Integer()
    Dim Desc As String()
    Dim AlreadyRated As Integer()
    Dim Numberrated As Integer = 0


    Private Sub frmHorrorMovie_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim MyStreamReader As StreamReader
        Dim Contents As String
        Dim Lines As String()
        Dim Token As String()
        Dim i As Integer

        MyPath = Directory.GetCurrentDirectory

        Try
            MyStreamReader = New StreamReader(MyPath & "\HorrorMovies.txt")
            Contents = MyStreamReader.ReadToEnd
            MyStreamReader.Close()
        Catch ex As Exception
            MsgBox("Problem reading file.")
            Exit Sub
        End Try

        Contents = Contents.Trim
        Lines = Contents.Split(vbCrLf)
        Rank = New Integer(Lines.Count - 1) {}
        rating = New Decimal(Lines.Count - 1) {}
        Title = New String(Lines.Count - 1) {}
        movImage = New String(Lines.Count - 1) {}
        Amount = New Integer(Lines.Count - 1) {}
        Desc = New String(Lines.Count - 1) {}
        AlreadyRated = New Integer(Lines.Count - 1) {}

        For i = 0 To Lines.Count - 1
            Token = Lines(i).Trim.Split("|")
            Rank(i) = Token(0)
            rating(i) = Token(1)
            Title(i) = Token(2)
            movImage(i) = Token(3)
            Amount(i) = Token(4)
            Desc(i) = Token(5)
            lstMovie.Items.Add(Rank(i) & ". " & Title(i))
            AlreadyRated(i) = -1
        Next

    End Sub

    Private Sub lstMovie_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstMovie.SelectedIndexChanged
        Dim i As Integer

        i = lstMovie.SelectedIndex

        lblDesc.Text = Desc(i)
        Try
            picMovie.Image = Image.FromFile(MyPath & "\" & movImage(i))
        Catch ex As Exception

        End Try

        lblRating.Text = "After " & Amount(i) & " responses, the average rating is " & rating(i) & "."

    End Sub

    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        Dim i As Integer

        i = lstMovie.SelectedIndex

        If Array.IndexOf(AlreadyRated, i) <> -1 Then
            MsgBox("You have already rated that movie.")
            Exit Sub
        End If

        txtUserRating.Text &= Title(i) & " - " & nudRate.Value & vbCrLf
        AlreadyRated(Numberrated) = i
        Numberrated += 1
    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        Dim MyStreamWriter As StreamWriter

        sfdRate.ShowDialog()

        Try
            MyStreamWriter = New StreamWriter(sfdRate.FileName)
            MyStreamWriter.Write(txtUserRating.Text)
            MyStreamWriter.Flush()
            MyStreamWriter.Close()
        Catch ex As Exception
            MsgBox("problem writing to file.")
            Exit Sub
        End Try

    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        Dim i As Integer
        txtUserRating.Text = ""

        For i = 0 To AlreadyRated.Length - 1
            AlreadyRated(i) = -1
        Next

    End Sub
End Class
